<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('mesyuarat_pelesenan_lesen_penjajas', function (Blueprint $table) {
            $table->id();
            $table->integer('mesyuarat_pelesenan_id');
            $table->integer('lesen_penjaja_id');
            $table->enum('keputusan_mesyuarat', ['','meluluskan','menangguhkan','menolak'])->default('');
            $table->string('by_law')->nullable();
            $table->string('kodlesen')->nullable();
            $table->string('kadar_lesen')->nullable();
            $table->string('kadar_sampah')->nullable();
            $table->string('kadar_sewa_petak')->nullable();
            $table->string('kadar_patil')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('mesyuarat_pelesenan_lesen_penjajas');
    }
};
